# opentl::core::cvdata::ColourHist2d Class Reference

Inherits opentl::core::cvdata::VisualFeatures.

List of all members.

## Public Member Functions
virtual void | clear ()
| ColourHist2d (const ColourHist2d &hist)
| ColourHist2d (unsigned char bins1, unsigned char bins2, unsigned char bins3=1)
math::Vector & | data () const
virtual void | getBins (unsigned char *bin1, unsigned char *bin2=NULL, unsigned char *bin3=NULL) const
virtual unsigned int | getBinsTotal () const
double & | getValue (unsigned char bin1, unsigned char bin2, unsigned char bin3) const
void | increaseValue (unsigned char bin1, unsigned char bin2, unsigned char bin3)
virtual ColourHist2d & | operator= (const ColourHist2d &hist)
virtual void | setBins (unsigned char bins1=10, unsigned char bins2=10, unsigned char bins3=1)
void | setData (const math::Vector &Input)
virtual | ~ColourHist2d ()

## Constructor & Destructor Documentation

opentl::core::cvdata::ColourHist2d::ColourHist2d | ( | unsigned char | bins1,
|  | unsigned char | bins2,
|  | unsigned char | bins3 = `1` |
| ) |  |  |

opentl::core::cvdata::ColourHist2d::ColourHist2d | ( | const ColourHist2d & | hist | ) |

virtual opentl::core::cvdata::ColourHist2d::~ColourHist2d | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void opentl::core::cvdata::ColourHist2d::clear | ( |  | ) | `[virtual]`

math::Vector& opentl::core::cvdata::ColourHist2d::data | ( |  | ) | const

virtual void opentl::core::cvdata::ColourHist2d::getBins | ( | unsigned char * | bin1,
|  | unsigned char * | bin2 = `NULL`,
|  | unsigned char * | bin3 = `NULL` |
| ) |  |  | const`[virtual]`

virtual unsigned int opentl::core::cvdata::ColourHist2d::getBinsTotal | ( |  | ) | const`[virtual]`

double& opentl::core::cvdata::ColourHist2d::getValue | ( | unsigned char | bin1,
|  | unsigned char | bin2,
|  | unsigned char | bin3 |
| ) |  |  | const`[inline]`

void opentl::core::cvdata::ColourHist2d::increaseValue | ( | unsigned char | bin1,
|  | unsigned char | bin2,
|  | unsigned char | bin3 |
| ) |  |  | `[inline]`

virtual ColourHist2d& opentl::core::cvdata::ColourHist2d::operator= | ( | const ColourHist2d & | hist | ) | `[virtual]`

virtual void opentl::core::cvdata::ColourHist2d::setBins | ( | unsigned char | bins1 = `10`,
|  | unsigned char | bins2 = `10`,
|  | unsigned char | bins3 = `1` |
| ) |  |  | `[virtual]`

void opentl::core::cvdata::ColourHist2d::setData | ( | const math::Vector & | Input | ) |